#!/bin/sh -e

LDFLAGS=$(echo $LDFLAGS|sed 's/-pie//')

# Build autoconf 2.13 for browser's sole use.
(
    cd autoconf2.13

    ./configure \
        --prefix="$PWD/../junk" \
        --program-suffix=-2.13

    make
    make install
)

export PATH="$PWD/junk/bin:$PATH"

sed -e 's#%SRCDIR%#'"$(realpath .)"'#g' -e "s#%CFLAGS%#$CFLAGS#g" mozconfig.in > .mozconfig

for patch in *.patch; do
    patch -p1 < "$patch"
done

CFLAGS="$CFLAGS -fno-exceptions"
CXXFLAGS="$CFLAGS"
LDFLAGS="$LDFLAGS -Wl,-rpath=/usr/lib/browser"

./mach build
./mach stage

mkdir -p "$1/usr/bin"
mkdir -p "$1/usr/lib"

cp -r objdir/dist/palemoon "$1/usr/lib/browser"
ln -s ../lib/browser/palemoon "$1/usr/bin/browser"
